Template Numerical Library: TNL::Arithmetics::experimental::Real< T > Class Template Reference

Template Numerical Library version\ main:16b9213d5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TNL::Arithmetics::experimental::Real< T > Class Template Reference

## Public Member Functions
| Real (const Real &v)
template<class S>
| Real (const S &d)
T & | Data ()
const T & | Data () const
| operator double () const
| operator int () const
bool | operator! () const
bool | operator!= (const Real &v) const
bool | operator!= (const T &v) const
bool | operator&& (const Real &v) const
const Real & | operator* (const Real &v) const
template<class S>
const Real & | operator* (const S &v) const
const Real & | operator*= (const Real &v)
template<class S>
const Real & | operator*= (const S &v)
const Real & | operator+ (const Real &v) const
template<class S>
const Real & | operator+ (const S &v) const
const Real & | operator+= (const Real &v)
template<class S>
const Real & | operator+= (const S &v)
const Real & | operator- () const
const Real & | operator- (const Real &v) const
template<class S>
const Real & | operator- (const S &v) const
const Real & | operator-= (const Real &v)
template<class S>
const Real & | operator-= (const S &v)
const Real & | operator/ (const Real &v) const
template<class S>
const Real & | operator/ (const S &v) const
const Real & | operator/= (const Real &v)
template<class S>
const Real & | operator/= (const S &v)
bool | operator< (const Real &v) const
bool | operator< (const T &v) const
bool | operator<= (const Real &v) const
bool | operator<= (const T &v) const
const Real & | operator= (const Real &v)
const Real & | operator= (const T &v)
bool | operator== (const Real &v) const
bool | operator== (const T &v) const
bool | operator> (const Real &v) const
bool | operator> (const T &v) const
bool | operator>= (const Real &v) const
bool | operator>= (const T &v) const
bool | operator|| (const Real &v) const

The documentation for this class was generated from the following file:

- src/TNL/Arithmetics/experimental/Real.h